RagTime5PipelineInternal::ClusterPipeline Struct Referencefinal

the pipeline cluster ( 4001 zone) More...

Inheritance diagram for RagTime5PipelineInternal::ClusterPipeline:

## Public Member Functions

| ClusterPipeline ()
| constructor
| ~ClusterPipeline () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes

int | m_dataId
| the data id
int | m_masterId
| the master id
int | m_layoutId
| the layout id
RagTime5ClusterManager::Link | m_data2Link
| the second data link(rare)
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members

Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

the pipeline cluster ( 4001 zone)

## Constructor & Destructor Documentation

## ClusterPipeline()

RagTime5PipelineInternal::ClusterPipeline::ClusterPipeline | ( |  | ) |

inline

constructor

Referenced by ~ClusterPipeline().

## ~ClusterPipeline()

RagTime5PipelineInternal::ClusterPipeline::~ClusterPipeline | ( |  | ) |

final

destructor

## Member Data Documentation

## m_data2Link

RagTime5ClusterManager::Link RagTime5PipelineInternal::ClusterPipeline::m_data2Link

the second data link(rare)

Referenced by ClusterPipeline().

## m_dataId

int RagTime5PipelineInternal::ClusterPipeline::m_dataId

the data id

Referenced by ClusterPipeline().

## m_layoutId

int RagTime5PipelineInternal::ClusterPipeline::m_layoutId

the layout id

Referenced by ClusterPipeline().

## m_masterId

int RagTime5PipelineInternal::ClusterPipeline::m_masterId

the master id

Referenced by ClusterPipeline().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx